=== modified file 'Makefile.am'
--- Makefile.am	2008-10-06 01:14:28 +0000
+++ Makefile.am	2008-11-02 13:51:58 +0000
@@ -39,7 +39,9 @@
 install-data-local:
 	$(mkinstalldirs) $(DESTDIR)$(localstatedir) 
 	@if test `id -u` = 0 ; then \
-		chown $(MYSQLD_USER) $(DESTDIR)$(localstatedir) ;\
+		groupadd $(DRIZZLED_USER) ;\
+		useradd -g $(DRIZZLED_USER) $(DRIZZLED_USER) ;\
+		chown $(DRIZZLED_USER) $(DESTDIR)$(localstatedir) ;\
 	fi
 
 distclean-local:

=== modified file 'configure.ac'
--- configure.ac	2008-10-31 04:02:51 +0000
+++ configure.ac	2008-11-02 13:51:58 +0000
@@ -847,14 +847,14 @@
 		   [If we defaulted to DRIZZLE_PORT, then this will be zero])
 
 # Use this to set the place used for unix socket used to local communication.
-AC_ARG_WITH([mysqld-user],
-    [AS_HELP_STRING([--with-mysqld-user=username],
-            [What user the mysqld daemon shall be run as.
-		@<:@default=mysql@:>@])],
-    [ MYSQLD_USER=$withval ],
-    [ MYSQLD_USER=mysql ]
+AC_ARG_WITH([drizzled-user],
+    [AS_HELP_STRING([--with-drizzled-user=username],
+            [What user the drizzled daemon shall be run as.
+		@<:@default=drizzle@:>@])],
+    [ DRIZZLED_USER=$withval ],
+    [ DRIZZLED_USER=drizzle ]
     )
-AC_SUBST(MYSQLD_USER)
+AC_SUBST(DRIZZLED_USER)
 
 # If we should allow LOAD DATA LOCAL
 AC_MSG_CHECKING(If we should should enable LOAD DATA LOCAL by default)

